Bug 1040228 - (CVE-2013-7069) CVE-2013-7069 ack: code execution via .ackrc file
CVE-2013-7069 ack: code execution via .ackrc file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131108,repor...
: Security
Depends On: 1040229
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-10 20:33 EST by Murray McAllister
Modified: 2015-01-04 17:38 EST (History)
2 users (show)

See Also:
Fixed In Version: ack-2.12-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-01 13:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-12-10 20:33:43 EST
A flaw was found in the way ack, a tool similar to grep, processed .ackrc files. If a local user ran ack in an attacker-controlled directory, it would lead to arbitrary code execution with the privileges of the user running ack. This issue affects versions 2.00 to 2.10 (such as the version in Fedora 19), and should be fixed in version 2.12. It does not affect versions below 2.00 (such as those in EPEL).

https://github.com/petdance/ack2/issues/414 also provides further restrictions.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=731848
https://github.com/petdance/ack2/issues/399
https://metacpan.org/source/PETDANCE/ack-2.12/Changes
https://github.com/petdance/ack2/issues/414
Comment 1 Murray McAllister 2013-12-10 20:35:30 EST
CVE request: http://www.openwall.com/lists/oss-security/2013/12/10/10
Comment 2 Murray McAllister 2013-12-10 20:36:12 EST
Created ack tracking bugs for this issue:

Affects: fedora-19 [bug 1040229]
Comment 3 Fedora Update System 2013-12-19 20:48:33 EST
ack-2.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-12-19 20:49:31 EST
ack-2.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.